[PATCH] Removing "make pccard"

Pavel Roskin proski at gnu.org
Thu Apr 15 16:21:03 EDT 2004


Hello!

Since users are still confused when they find references to "make pccard",
I suggest that we remove the old build system from the 0.2 branch.

The old build system is not needed to support pcmcia-cs drivers.  "make"
and "make install" would work fine.  I have tested the modified makefile
in following configurations:

Linux 2.6.6-rc1, CONFIG_PCMCIA=y
Linux 2.4.25, CONFIG_PCMCIA=y
Linux 2.4.25, CONFIG_PCMCIA is not set, pcmcia-cs 3.2.7

-- 
Regards,
Pavel Roskin
-------------- next part --------------
--- Makefile
+++ Makefile
@@ -7,7 +7,7 @@
 #
 # hostap_cs.o can be compiled either by copying driver/* into pcmcia-cs root
 # directory and compiling pcmcia-cs package or by configuring PCMCIA_PATH
-# and using this Makefile with 'make pccard; make install_pccard'.
+# and using this Makefile.
 # Leave this blank for kernel-tree PCMCIA compilations (CONFIG_PCMCIA):
 PCMCIA_PATH=
 
@@ -73,14 +73,6 @@
 all: 2.4
 endif
 
-help:
-	@echo "Select the version to be build:"
-	@echo "make pccard      PC Card (PCMCIA) driver (Prism2 or Prism2.5)"
-	@echo "make plx         PLX-based PCI card with PC Card"
-	@echo "make pci         Prism 2.5 PCI Card"
-	@echo "make crypt       Make hostap_crypt_*.o"
-	@echo "make hostap      Make hostap.o"
-
 ifdef CONFIG_ALPHA
 CFLAGS += -mno-fp-regs -ffixed-8
 endif
@@ -97,45 +89,6 @@
 CFLAGS += -fomit-frame-pointer
 endif
 
-
-# Old compilation using this Makefile and not the build system in the kernel
-# tree. This is used when compiling for Linux 2.2.x (or Linux 2.4.x with
-# 'make pccard'). Both Linux 2.6.x and 2.4.x can use kernel tree build system
-# with 'make'.
-
-ifdef CONFIG_MODVERSIONS
-
-VERFILES=$(MSRC)/hostap.ver ## $(MSRC)/hostap_crypt.ver
-$(MSRC)/hostap_crypt_wep.o: $(VERFILES)
-$(MSRC)/hostap_crypt_tkip.o: $(VERFILES)
-$(MSRC)/hostap_crypt_ccmp.o: $(VERFILES)
-$(MSRC)/hostap.o: $(VERFILES)
-$(MSRC)/hostap_cs.o: $(VERFILES)
-$(MSRC)/hostap_plx.o: $(VERFILES)
-$(MSRC)/hostap_pci.o: $(VERFILES)
-INCLUDES_MODVER=-include $(MSRC)/hostap.ver ##-include $(MSRC)/hostap_crypt.ver
-
-GENKSYMS=/sbin/genksyms
-ifdef CONFIG_SMP
-        GENKSYMS += -p smp_
-endif
-
-##$(MSRC)/hostap_crypt.ver: $(MSRC)/hostap_crypt.c
-##	$(CC) $(INCLUDES) $(CFLAGS) -E -D__GENKSYMS__ $^ | \
-##		$(GENKSYMS) -k $(KERNELVER) > $@
-$(MSRC)/hostap.ver: $(MSRC)/hostap.c
-	$(CC) $(INCLUDES) $(CFLAGS) -E -D__GENKSYMS__ $^ | \
-		$(GENKSYMS) -k $(KERNELVER) > $@
-
-endif
-
-
-.c.o:
-	$(CC) $(INCLUDES) $(INCLUDES_MODVER) $(CFLAGS) -o $@ $<
-
-# end of old compilation
-
-
 2.4:
 	@if ! echo "$(KERNELRELEASE)" | grep -q "^2\.4"; then \
 		echo "*** Can't build for 2.4 with a non-2.4 source!"; \
@@ -154,41 +107,11 @@
 		MODVERDIR=$(PWD)/driver/modules modules
 	$(MAKE) install_all_info
 
-pccard:	$(MSRC)/$(MODULE_CS) hostap crypt install_info
-plx:	$(MSRC)/$(MODULE_PLX) hostap crypt install_info
-pci:	$(MSRC)/$(MODULE_PCI) hostap crypt install_info
-crypt:  $(MSRC)/hostap_crypt_wep.o $(MSRC)/hostap_crypt_tkip.o $(MSRC)/hostap_crypt_ccmp.o
-hostap: $(MSRC)/hostap.o
-
 SRC=$(MSRC)/hostap_hw.c $(MSRC)/hostap_wlan.h $(MSRC)/hostap_config.h \
 	$(MSRC)/hostap_download.c \
 	$(MSRC)/hostap_ap.h \
 	$(MSRC)/hostap_crypt.h $(MSRC)/hostap.h $(MSRC)/hostap_compat.h
 
-$(MSRC)/hostap_crypt_wep.o: $(MSRC)/hostap_crypt_wep.c $(MSRC)/hostap_crypt.h
-$(MSRC)/hostap_crypt_tkip.o: $(MSRC)/hostap_crypt_tkip.c $(MSRC)/hostap_crypt.h
-$(MSRC)/hostap_crypt_ccmp.o: $(MSRC)/hostap_crypt_ccmp.c $(MSRC)/hostap_crypt.h
-
-$(MSRC)/hostap.o: $(MSRC)/hostap.c $(MSRC)/hostap.h \
-	$(MSRC)/hostap_ap.h $(MSRC)/hostap_ap.c $(MSRC)/hostap_info.c \
-	$(MSRC)/hostap_ioctl.c $(MSRC)/hostap_proc.c \
-	$(MSRC)/hostap_wlan.h $(MSRC)/hostap_config.h \
-	$(MSRC)/hostap_compat.h
-
-$(MSRC)/$(MODULE_CS): $(MSRC)/hostap_cs.c $(SRC)
-
-$(MSRC)/$(MODULE_PLX): $(MSRC)/hostap_plx.c $(SRC)
-
-$(MSRC)/$(MODULE_PCI): $(MSRC)/hostap_pci.c $(SRC)
-
-
-install_info:
-	@echo
-	@echo "Run 'make install_pccard' as root to install $(MODULE_CS)"
-	@echo "Run 'make install_plx' as root to install $(MODULE_PLX)"
-	@echo "Run 'make install_pci' as root to install $(MODULE_PCI)"
-	@echo
-
 install_all_info:
 	@echo "*** Become superuser and 'make install' to install the modules. ***" 
 


More information about the HostAP mailing list